import apis from '@/configs/http';
import { redirectToLogin, redirectTo } from '@/common/NavFuncs';

export default {
	namespaced: true,
	actions: {
		getStatistics({ commit },param) {
			// console.log('param1:{}',param);
			return apis.sz.post('/TOrder/getStatistics',param)
				.then(res => {
					const { data } = res;
					return data;
				});
		},
		getMainStatistics({ commit },param) {
			return apis.sz.post('/TOrder/getMainStatistics',param)
				.then(res => {
					const { data } = res;
					return data;
				});
		},
		getEquipmentListByUser({ commit },param) {
			return apis.sz.post('/TEquipment/getEquipmentListByUser',param)
				.then(res => {
					const { data } = res;
					return data;
				});
		},
		updata({ commit },param) {
			return apis.sz.post('/TEquipment/updateName',param)
				.then(res => {
					const { data } = res;
					return res;
				});
		},
	}
}

